package org.davic.media;



/**

 * Posted by the Controller if a Player is refused access to the specified media data. This event may 

 * be posted either when a Player is starting if access to the data is not permitted or should access 

 * to the data be revoked at some arbitrary point while that data is being played (e.g. the end of a 

 * free preview period)

 */

public class AccessDeniedEvent extends javax.media.ControllerEvent implements 

	org.davic.mpeg.NotAuthorizedInterface

{

	/**

	 * @param source the controller access to whose data has been refused

	 */



	public AccessDeniedEvent(javax.media.Controller source)

	{

		super(source);

	}

    /**

     * @return SERVICE or ELEMENTARY_STREAM to indicate

     * that either a service (MPEG program) or one or more

     * elementary streams could not be descrambled. 

     * Implements method from org.davic.mpeg.NotAuthorizedInterface.

     */

    public int getType()

	{

		return 0;

	}



    /**

     * If getType() returns SERVICE, then this method returns the

     * Service that could not be descrambled. Otherwise it returns

     * null. 

     * Implements method from org.davic.mpeg.NotAuthorizedInterface.

     *

     * @return either the Service that could not be descrambled or null

     */

    public org.davic.mpeg.Service getService()	

	{

		return null;

	}



    /**

     * If getType() returns ELEMENTARY_STREAM, then this method returns

     * the set of ElementaryStreams that could not be descrambled.

     * Otherwise it returns null.

     * Implements method from org.davic.mpeg.NotAuthorizedInterface.

     *

     * @return either the set of ElementaryStreams that could not be 

     * descrambled or null

     */

    public org.davic.mpeg.ElementaryStream[] getElementaryStreams()

	{

		return null;

	}



    /**

     * Returns the reason(s) why descrambling was not possible.

     * Implements method from org.davic.mpeg.NotAuthorizedInterface.

     *

     * @param index If the component to which access failed is a Service,

     * index shall be 0. Otherwise index shall refer to one stream in the

     * set returnedby getElementaryStreams().

     *

     * @return an array of length 2 where the first element of the

     * array is the major reason and the second element of the array

     * is the minor reason.

     *

     * @exception IndexOutOfBoundsException If the component to which access

     * failed is a Service, this exception will be thrown if index is non zero.

     * If the component(s) to which access failed was a (set of) elementary

     * streams then this exception will be thrown where index is beyond the

     * size of the array returned by getElementaryStreams.

     *

     * @see org.davic.mpeg.NotAuthorizedInterface#getElementaryStreams

     */

    public int[] getReason(int index)

      throws java.lang.IndexOutOfBoundsException

	{

		return null;

	}

}




