package org.davic.media;



/** 

 * The StreamEvent class describes a stream event. This event is posted whenever the Controller 

 * encounters a stream event in the current stream. The event includes the media time of the stream 

 * event encoded as a long (nanoseconds) and the stream event identification encoded as an int. 

 * Optional the event also includes (references to) data associated with the event.

 */



public class StreamEvent 

{

	/**

	 * Construct a stream event

	 *

	 * @param source the source of the event

	 * @param eventTime the time the event happened encoded in nanoseconds

	 * @param Id the event identification

	 */

	public StreamEvent(Object source, long eventTime, int Id)

	{

	}

	/**

	 * Construct a stream event

	 *

	 * @param source the source of the event

	 * @param eventTime the time the event happened encoded in nanoseconds

	 * @param Id the event identification

	 * @param data associated data

	 */

	public StreamEvent(Object source, long eventTime, int Id, byte[] data) {

	}

	

	/**

	 * @return the event identification

	 */

	public int getEventId() {

		return 0;

	}



	/**

	 * @return the event media time encoded as a long

	 */

	public long getEventTime() {

		return (long) 0;

	}



	/**

	 * @return the associated event data or null if not present

	 */

	public byte[] getEventData() {

		return null;

	}

	/**

	 * This method returns the source for the event. It may be

	 * inherited from sunw.util.EventObject or java.util.EventObject

	 * @return the source of the event 

	 */

	public Object getSource() {

		return null;

	}

}




